Bug 9352 - bug in pam_console parser
Summary: bug in pam_console parser
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-11 16:19 UTC by Kjetil T. Homme
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-22 15:37:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch works for us :-) (1.90 KB, patch)
2000-02-11 16:21 UTC, Kjetil T. Homme
no flags Details | Diff

Description Kjetil T. Homme 2000-02-11 16:19:49 UTC
pam_console doesn't handle overlapping file classes.
The default file contains <console> and <xconsole> which
overlap, but the <xconsole> will never be processed since
only the first match matters.

We have written a patch to use GSList for the cache instead.
<URL:http://www.ifi.uio.no/~kjetilho/pam_console.patch>

Comment 1 Kjetil T. Homme 2000-02-11 16:21:59 UTC
Created attachment 113 [details]
This patch works for us :-)

Comment 2 Cristian Gafton 2000-05-22 15:37:59 UTC
assigned to nalin

Comment 3 Nalin Dahyabhai 2000-08-18 00:13:33 UTC
A similar fix should be in Raw Hide.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.